Update an Option

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • optionlist_id number Required

    id of the option list

  • option_id number Required

    id of the option

application/json

Body

  • key_value string
  • label string
  • sort_order number
  • condition_value string
  • score number

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated option id

PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/optionlists/{optionlist_id}/options/{option_id}' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "condition_value": "false",
  "score": 0
}'
Request example
{
  "condition_value": "false",
  "score": 0
}
Response examples (200)
{
  "id": 268623880
}